Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ToolButtonStyle

    java.lang.Object
      java.lang.Enum<Qt.ToolButtonStyle>
          com.trolltech.qt.core.Qt.ToolButtonStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ToolButtonStyle>

Enclosing interface:
  Qt

    public static enum Qt.ToolButtonStyle

extends java.lang.Enum<Qt.ToolButtonStyle>
implements QtEnumerator

The style of the tool button, describing how the button's text and icon should be displayed.

Enum Constant Summary
`ToolButtonIconOnly` Only display the icon.
`ToolButtonTextBesideIcon` The text appears beside the icon.
`ToolButtonTextOnly` Only display the text.
`ToolButtonTextUnderIcon` The text appears under the icon.

Method Summary
`static Qt.ToolButtonStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ToolButtonStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ToolButtonStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ToolButtonIconOnly

    public static final Qt.ToolButtonStyle ToolButtonIconOnly

  Only display the icon.

### ToolButtonTextOnly

    public static final Qt.ToolButtonStyle ToolButtonTextOnly

  Only display the text.

### ToolButtonTextBesideIcon

    public static final Qt.ToolButtonStyle ToolButtonTextBesideIcon

  The text appears beside the icon.

### ToolButtonTextUnderIcon

    public static final Qt.ToolButtonStyle ToolButtonTextUnderIcon

  The text appears under the icon.

Method Detail

### values

    public static final Qt.ToolButtonStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ToolButtonStyle c : Qt.ToolButtonStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ToolButtonStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ToolButtonStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD